<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:07 CET 2009 -->
<TITLE>
SignTextOutputFormatter
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.output.text.SignTextOutputFormatter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="SignTextOutputFormatter";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SignTextOutputFormatter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/NumberTextOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output.text"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/output/text/SignTextOutputFormatter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SignTextOutputFormatter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.metabolic.efm.output.text.AbstractTextOutputFormatter">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.output.text</FONT>
<BR>
Class SignTextOutputFormatter</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output.text">ch.javasoft.metabolic.efm.output.text.AbstractTextOutputFormatter</A>
      <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.output.text.SignTextOutputFormatter</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputFormatter.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputFormatter</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/text/SignTextOutputFormatter.html#line.62"><B>SignTextOutputFormatter</B></A><DT>extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output.text">AbstractTextOutputFormatter</A></DL>
</PRE>

<P>
The <tt>SignTextOutputFormatter</tt> optionally writes a header line with 
 output options and number of modes. Then, the flux directions (flux signs) of 
 the efm's are written. Each mode is printed on a new line, values are 
 separated by tab. If desired, the 0-based mode index is prefixed on each 
 line.
 <p>
 Sample output of this formatter, with header line and mode number prefix:
 <pre>
        efm-output[8 modes, SignTextOutputFormatter, Mon Sep 08 11:15:52 CEST 2008]
        0       1       -1      0       0       0       1       0       -1      0       0
        1       1       0       1       1       1       0       1       1       0       1
        2       1       -1      0       0       1       0       0       0       0       0
        3       1       0       1       0       0       1       0       -1      1       0
        4       1       0       1       0       1       0       0       0       1       0
        5       1       1       1       1       0       0       1       1       0       1
        6       0       1       1       0       0       0       0       0       1       0
        7       1       0       1       1       0       1       1       0       0       1
 </pre>
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.metabolic.efm.output.text.AbstractTextOutputFormatter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.metabolic.efm.output.text.<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output.text">AbstractTextOutputFormatter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#headerLine">headerLine</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#modeIndex">modeIndex</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/SignTextOutputFormatter.html#SignTextOutputFormatter(boolean, boolean)">SignTextOutputFormatter</A></B>(boolean&nbsp;headerLine,
                                               boolean&nbsp;modeIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with options</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/SignTextOutputFormatter.html#formatEfmValue(ch.javasoft.metabolic.efm.output.EfmOutputCallback, java.io.PrintWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, int, java.lang.Number)">formatEfmValue</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer,
                             <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                             long&nbsp;efmIndex,
                             int&nbsp;valueIndex,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called once for every flux value of an efm, indicating that formatting
 and writing the given value should now be performed.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.output.text.AbstractTextOutputFormatter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.metabolic.efm.output.text.<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output.text">AbstractTextOutputFormatter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#formatEfmFooter(ch.javasoft.metabolic.efm.output.EfmOutputCallback, java.io.PrintWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)">formatEfmFooter</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#formatEfmHeader(ch.javasoft.metabolic.efm.output.EfmOutputCallback, java.io.PrintWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)">formatEfmHeader</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#formatFooter(ch.javasoft.metabolic.efm.output.EfmOutputCallback, java.io.PrintWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)">formatFooter</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#formatHeader(ch.javasoft.metabolic.efm.output.EfmOutputCallback, java.io.PrintWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent)">formatHeader</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#isEfmValueIterationNeeded(ch.javasoft.metabolic.efm.output.EfmOutputCallback)">isEfmValueIterationNeeded</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SignTextOutputFormatter(boolean, boolean)"><!-- --></A><H3>
SignTextOutputFormatter</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/text/SignTextOutputFormatter.html#line.71"><B>SignTextOutputFormatter</B></A>(boolean&nbsp;headerLine,
                               boolean&nbsp;modeIndex)</PRE>
<DL>
<DD>Constructor with options
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>headerLine</CODE> - if true, a header line will be added to the output<DD><CODE>modeIndex</CODE> - if true, each efm line is prefixed with the mode
                                                index (0 based)</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="formatEfmValue(ch.javasoft.metabolic.efm.output.EfmOutputCallback, java.io.PrintWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, int, java.lang.Number)"><!-- --></A><H3>
formatEfmValue</H3>
<PRE>
public void <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/text/SignTextOutputFormatter.html#line.76"><B>formatEfmValue</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer,
                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                           long&nbsp;efmIndex,
                           int&nbsp;valueIndex,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputFormatter.html#formatEfmValue(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, int, java.lang.Number)">EfmOutputFormatter</A></CODE></B></DD>
<DD>Called once for every flux value of an efm, indicating that formatting
 and writing the given value should now be performed.
 
 <p><b>Note</b> that this method is only called if 
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputFormatter.html#isEfmValueIterationNeeded(ch.javasoft.metabolic.efm.output.EfmOutputCallback)"><CODE>EfmOutputFormatter.isEfmValueIterationNeeded(EfmOutputCallback)</CODE></A> returns 
 <tt>true</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputFormatter.html#formatEfmValue(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, int, java.lang.Number)">formatEfmValue</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputFormatter.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputFormatter</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html#formatEfmValue(ch.javasoft.metabolic.efm.output.EfmOutputCallback, java.io.PrintWriter, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, int, java.lang.Number)">formatEfmValue</A></CODE> in class <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/AbstractTextOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output.text">AbstractTextOutputFormatter</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cb</CODE> - The output callback which invoked this method<DD><CODE>writer</CODE> - The output writer<DD><CODE>evt</CODE> - The output event with access to the metabolic 
                                                network and the efm<DD><CODE>efmIndex</CODE> - The 0-based index of the efm, i.e. a running counter<DD><CODE>valueIndex</CODE> - The 0-based value index, i.e. the index of the
                                                corresponding reaction in the metabolic network<DD><CODE>value</CODE> - the flux value, 0, 1 or -1 for binary output mode,
                                                or the actual relative flux value for double output
                                                mode.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SignTextOutputFormatter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/text/NumberTextOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output.text"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/output/text/SignTextOutputFormatter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SignTextOutputFormatter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.metabolic.efm.output.text.AbstractTextOutputFormatter">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
